Channels
Channels enable datasets to be categorised or grouped together. A single workspace can have multiple channels.
Objects
Channel
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The channel ID |
creator | object | Member | The channel creator |
workspace | object | Workspace | The channel workspace |
created | string | ISO 8601 timestamp | The channel created at timestamp |
lastModified | string | ISO 8601 timestamp | The channel last modified timestamp |
name | string | The channel name | |
description | string | The channel description | |
picture | string | URL | The channel picture metadata |
{
"id" : "c79355f8-19f8-4255-bf14-04d70da8cf83",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.120018",
"lastModified" : "2026-10-29T15:47:49.12002",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/scope/workspace"
}
}
}
Requests
Initialise a channel
POST /api/channels/{channel-id}
Initialise a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels' -i -X POST \
-H 'Content-Type: application/json' \
-d '{ }'
import requests
url = "https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels"
data = { }
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "524d1f90-d9ec-437d-98f2-14df342f8918",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"created" : "2026-10-29T15:47:55.642923732",
"lastModified" : "2026-10-29T15:47:55.642925754",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"create channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
}
}
}
View a channel
GET /api/channels/{channel-id}
Returns the channel {channel-id}.
Prerequisites
- Channel
{channel-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83' -i -X GET
import requests
url = "https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "c79355f8-19f8-4255-bf14-04d70da8cf83",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.120018",
"lastModified" : "2026-10-29T15:47:49.12002",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/scope/workspace"
}
}
}
View a channel in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}
Returns a channel in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83' -i -X GET
import requests
url = "https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "c79355f8-19f8-4255-bf14-04d70da8cf83",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.120018",
"lastModified" : "2026-10-29T15:47:49.12002",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/scope/workspace"
}
}
}
View all channels in a workspace
GET /api/workspaces/{workspace-id}/channels/{channel-id}?type={type}&source={source}&containsDataset={datasetId}
Returns all channels in the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a member of the workspace
{workspace-id}
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
type | No | string | None | Return channels by types: list or source |
source | No | string | None | Return channels by source: profile or workspace |
containsDataset | No | string | None | Adds a containsDataset boolean field to all channels returning if it contains the dataset |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel collection with HAL links.
{
"_embedded" : {
"channels" : [ {
"id" : "c79355f8-19f8-4255-bf14-04d70da8cf83",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.120018",
"lastModified" : "2026-10-29T15:47:49.12002",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/scope/workspace"
}
}
}, {
"id" : "4db37aed-b8a8-4508-aabd-2aebd60743b4",
"name" : "SITChannelTwo",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.254076",
"lastModified" : "2026-10-29T15:47:49.254078",
"description" : "SITChannelTwo",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/4db37aed-b8a8-4508-aabd-2aebd60743b4/scope/workspace"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels?page=0&size=10&sort=name,asc"
}
},
"page" : {
"size" : 10,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}
Create or Update a channel in a workspace
PUT /api/workspaces/{workspace-id}/channels/{channel-id}
Creates or Updates a channel in the workspace {workspace-id}.
This endpoint takes a {channel-id} (UUID) and based on the supplied value and the channels that already exist in the workspace, will update or create a channel accordingly.
Prerequisites
- Workspace
{workspace-id}must exist - The user must be a admin in the workspace
{workspace-id}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SITChannel",
"description" : "SITChannel"
}'
import requests
url = "https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
data = {
"name" : "SITChannel",
"description" : "SITChannel"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK / 201 Created
Channel with HAL links.
{
"id" : "c79355f8-19f8-4255-bf14-04d70da8cf83",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.120017693",
"lastModified" : "2026-10-29T15:47:49.120019543",
"description" : "SITChannel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83/scope/workspace"
}
}
}
Delete a channel
DELETE /api/channels/{channel-id}
Delete a channel.
Prerequisites
- The user must be a admin of the workspace the channel is in.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/channels/c79355f8-19f8-4255-bf14-04d70da8cf83"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
View all channels in your workspace news
GET /api/channels/{channel-id}
Returns all channels in your news for the workspace.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/news/channels' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/news/channels"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channels in your workspace news.
{
"_embedded" : {
"channels" : [ {
"id" : "34449cac-5b4e-4591-9a37-787e7753e0d2",
"name" : "SITChannel",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "WORKSPACE",
"type" : "SOURCE",
"created" : "2026-10-29T15:47:49.943682",
"lastModified" : "2026-10-29T15:47:49.943684",
"description" : "SITChannel",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"search" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/news?q=in%3ASITChannel"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels"
}
}
}
Add a dataset to a list channel
PUT /api/channels/{channel-id}/datasets/{dataset-id}
Adds a dataset to a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets/fd39d7d6-b686-4d46-bc51-5a949548cb58' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets/fd39d7d6-b686-4d46-bc51-5a949548cb58"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
201 Created
No response body provided.
Remove a dataset from a list channel
DELETE /api/channels/{channel-id}/datasets/{dataset-id}
Removes a dataset from a channel with type list.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets/fd39d7d6-b686-4d46-bc51-5a949548cb58' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets/fd39d7d6-b686-4d46-bc51-5a949548cb58"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Add workspace scope to a channel
PUT /api/channels/{channel-id}/scope/workspace
Add workspace scope to a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/workspace' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/workspace"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "524d1f90-d9ec-437d-98f2-14df342f8918",
"name" : "mylist",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "WORKSPACE",
"type" : "LIST",
"created" : "2026-10-29T15:47:55.728752",
"lastModified" : "2026-10-29T15:47:55.728753",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"withdraw workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/profile"
}
}
}
Withdraw workspace scope from a channel
PUT /api/channels/{channel-id}/scope/profile
Withdraw workspace scope from a channel.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/profile' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/profile"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Channel with HAL links.
{
"id" : "524d1f90-d9ec-437d-98f2-14df342f8918",
"name" : "mylist",
"workspaceId" : "190fc60b-ff63-445a-b5b9-fdeaada999fe",
"creator" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"scope" : "PROFILE",
"type" : "LIST",
"created" : "2026-10-29T15:47:55.728752",
"lastModified" : "2026-10-29T15:47:55.728753",
"description" : "mylist channel",
"datasetCount" : 0,
"containsDataset" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"datasets" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/datasets",
"type" : "GET"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/subscriptions"
},
"update channel" : {
"href" : "https://app.meltano.com/api/workspaces/190fc60b-ff63-445a-b5b9-fdeaada999fe/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"delete channel" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918"
},
"add workspace-scope" : {
"href" : "https://app.meltano.com/api/channels/524d1f90-d9ec-437d-98f2-14df342f8918/scope/workspace"
}
}
}